## GimpCellRendererColor

GimpCellRendererColor — A GtkCellRenderer to display a GimpRGB color.

## Functions

GtkCellRenderer * | gimp_cell_renderer_color_new ()

## Properties

GimpRGB * | color | Read / Write
int | icon-size | Read / Write / Construct
gboolean | opaque | Read / Write / Construct

## Types and Values

| GimpCellRendererColor

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkCellRenderer
                    ╰── GimpCellRendererColor

## Description

A GtkCellRenderer to display a GimpRGB color.

## Functions

### gimp_cell_renderer_color_new ()

    GtkCellRenderer *
    gimp_cell_renderer_color_new (void);

Creates a GtkCellRenderer that displays a color.

#### Returns

a new GimpCellRendererColor

Since: 2.2

## Types and Values

### GimpCellRendererColor

    typedef struct _GimpCellRendererColor GimpCellRendererColor;

## Property Details

### The `“color”` property

      “color”                    GimpRGB *

The displayed color.

Owner: GimpCellRendererColor

Flags: Read / Write

### The `“icon-size”` property

      “icon-size”                int

The cell's size.

Owner: GimpCellRendererColor

Flags: Read / Write / Construct

Allowed values: >= 0

Default value: 1

### The `“opaque”` property

      “opaque”                   gboolean

Whether to show transparency.

Owner: GimpCellRendererColor

Flags: Read / Write / Construct

Default value: TRUE